### File

`packages/components/layout/eui-app/eui-app-sidebar/sidebar.component.ts`

### Implements

`OnInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-app-sidebar`
styleUrls | `./_styles/_index.scss`
templateUrl | `./sidebar.component.html`

### Index

###### Properties
asService string
###### Methods
close
###### HostBindings
class
###### HostListeners
body:click

### HostBindings

class
Type : `string`
Default value : `'eui-app-sidebar'`

### HostListeners

body:click
`body:click()`

### Methods

close
`close()`
Decorators : `@HostListener('body:click')`
Returns : `void`

### Properties

asService
Default value : `inject(EuiAppShellService, { optional: true })!`

string
Type : `string`
Default value : `'eui-app-sidebar'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""